# DenyAllFilter Class Reference

Inherits Filter.

List of all members.

## Detailed Description

This filter drops all logging events.

You can add this filter to the end of a filter chain to switch from the default "accept all unless instructed otherwise" filtering behaviour to a "deny all unless instructed otherwise" behaviour.

## Public Types

typedef spi::Filter | BASE_CLASS

## Public Member Functions

| DenyAllFilter ()
FilterDecision | decide (const spi::LoggingEventPtr &) const
| Always returns the integer constant DENY regardless of the LoggingEvent parameter.

## Member Typedef Documentation

typedef spi::Filter BASE_CLASS

## Constructor & Destructor Documentation

DenyAllFilter | ( |  | ) | `[inline]`

## Member Function Documentation

FilterDecision decide | ( | const spi::LoggingEventPtr & |  | ) | const`[inline, virtual]`

Always returns the integer constant DENY regardless of the LoggingEvent parameter.

Parameters:

  | event | The LoggingEvent to filter.

Returns:
  Always returns DENY.

Implements Filter.

The documentation for this class was generated from the following file:

- denyallfilter.h